## ros-dashing-rosbag2-tests 0.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_tests)

add_definitions(-D_SRC_RESOURCES_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}/resources")

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_index_cpp REQUIRED)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(std_msgs REQUIRED)
  find_package(test_msgs REQUIRED)
  find_package(rmw_fastrtps_cpp QUIET)
  find_package(rosbag2_storage REQUIRED)
  find_package(rosbag2_storage_default_plugins REQUIRED)
  find_package(rosbag2_test_common REQUIRED)

  ament_lint_auto_find_test_dependencies()

  # disable tests that depends on rosbag2_converter_default_plugins at runtime
  if(rmw_fastrtps_cpp_FOUND)
    ament_add_gmock(test_rosbag2_record_end_to_end
      test/rosbag2_tests/test_rosbag2_record_end_to_end.cpp
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    if(TARGET test_rosbag2_record_end_to_end)
      ament_target_dependencies(test_rosbag2_record_end_to_end
        rclcpp
        rosbag2_storage
        rosbag2_storage_default_plugins
        rosbag2_test_common
        test_msgs)
    endif()

    # ament_add_gmock(test_rosbag2_play_end_to_end
    #   test/rosbag2_tests/test_rosbag2_play_end_to_end.cpp
    #   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    # if(TARGET test_rosbag2_play_end_to_end)
    #   ament_target_dependencies(test_rosbag2_play_end_to_end
    #     rclcpp
    #     rosbag2_storage
    #     rosbag2_storage_default_plugins
    #     rosbag2_test_common
    #     test_msgs)
    # endif()

    ament_add_gmock(test_rosbag2_info_end_to_end
      test/rosbag2_tests/test_rosbag2_info_end_to_end.cpp
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    if(TARGET test_rosbag2_info_end_to_end)
      ament_target_dependencies(test_rosbag2_info_end_to_end
        rosbag2_storage
        rosbag2_test_common)
    endif()

    ament_add_gmock(test_converter
      test/rosbag2_tests/test_converter.cpp
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
    if(TARGET test_converter)
      ament_target_dependencies(test_converter
        rosbag2
        rosbag2_test_common
        test_msgs)
    endif()
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-dashing-rosbag2-tests (0.1.8-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 16 Oct 2019 07:00:00 -0000

ros-dashing-rosbag2-tests (0.1.7-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 14 Oct 2019 07:00:00 -0000

ros-dashing-rosbag2-tests (0.1.6-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 20 Sep 2019 07:00:00 -0000

ros-dashing-rosbag2-tests (0.1.5-1bionic) bionic; urgency=high

  * disable fastrtps dependent tests when unavailable (#137 <https://github.com/ros2/rosbag2/issues/137>) (#148 <https://github.com/ros2/rosbag2/issues/148>)
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 09 Sep 2019 07:00:00 -0000

ros-dashing-rosbag2-tests (0.1.4-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-dashing-rosbag2-tests (0.1.3-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-rosbag2-tests (0.1.2-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-rosbag2-tests (0.1.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-dashing-rosbag2-tests (0.1.0-1bionic) bionic; urgency=high

  * fix compilation against master (#111 <https://github.com/ros2/rosbag2/issues/111>)
  * use fastrtps static instead of dynamic (#104 <https://github.com/ros2/rosbag2/issues/104>)
  * Compile tests (#103 <https://github.com/ros2/rosbag2/issues/103>)
  * remove duplicate repos (#102 <https://github.com/ros2/rosbag2/issues/102>)
  * removed dependency to ros1_bridge package (#90 <https://github.com/ros2/rosbag2/issues/90>)
  * Contributors: DensoADAS, Dirk Thomas, Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rosbag2-tests (0.0.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2-tests (0.0.4-1bionic) bionic; urgency=high

  * 0.0.3
  * Play old bagfiles (#69 <https://github.com/bsinno/rosbag2/issues/69>)
  * Contributors: Karsten Knese, Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2-tests (0.0.2-1bionic) bionic; urgency=high

  * do not ignore return values
  * update maintainer email
  * Contributors: Karsten Knese, root

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2-tests (0.0.1-1bionic) bionic; urgency=high

  * Auto discovery of new topics (#63 <https://github.com/ros2/rosbag2/issues/63>)
  * Split converters (#70 <https://github.com/ros2/rosbag2/issues/70>)
  * Fix master build and small renamings (#67 <https://github.com/ros2/rosbag2/issues/67>)
  * rename topic_with_types to topic_metadata
  * iterate_over_formatter
  * GH-142 replace map with unordered map where possible (#65 <https://github.com/ros2/rosbag2/issues/65>)
  * Use converters when recording a bag file (#57 <https://github.com/ros2/rosbag2/issues/57>)
  * Display bag summary using ros2 bag info (#45 <https://github.com/ros2/rosbag2/issues/45>)
  * Use directory as bagfile and add additonal record options (#43 <https://github.com/ros2/rosbag2/issues/43>)
  * Introduce rosbag2_transport layer and CLI (#38 <https://github.com/ros2/rosbag2/issues/38>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Karsten Knese, Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 11 Dec 2018 08:00:00 -0000

=== debian/control ===
Source: ros-dashing-rosbag2-tests
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-ament-index-cpp, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rclcpp, ros-dashing-ros2bag, ros-dashing-rosbag2, ros-dashing-rosbag2-converter-default-plugins, ros-dashing-rosbag2-storage, ros-dashing-rosbag2-storage-default-plugins, ros-dashing-rosbag2-test-common, ros-dashing-std-msgs, ros-dashing-test-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rosbag2-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-ament-index-cpp, ros-dashing-ros-workspace
Description: Tests package for rosbag2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rosbag2-tests//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
